wkb.hpp File Reference
`#include <cstddef>`
`#include <cstdint>`
`#include <string>`
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/factory.hpp>`
`#include <osmium/util/cast.hpp>`
`#include <osmium/util/endian.hpp>`
Include dependency graph for wkb.hpp:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::geom
| Everything related to geometry handling.

## Typedefs

template<typename TProjection = IdentityProjection>
using | osmium::geom::WKBFactory = GeometryFactory< osmium::geom::detail::WKBFactoryImpl, TProjection >

## Enumerations

enum | osmium::geom::wkb_type : bool { osmium::geom::wkb_type::wkb = false, osmium::geom::wkb_type::ewkb = true }
enum | osmium::geom::out_type : bool { osmium::geom::out_type::binary = false, osmium::geom::out_type::hex = true }